unit Vis3D_ScatterPlotSettings;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, TextEditor, Vcl.StdCtrls, rgl,
  UxPanel, Vcl.ExtCtrls, ColorContainer, ScrollBoxEx, Vis3D_GeoObjSettings;

type
  TVis3D_ScatterPlotSettingsFrm = class(TVis3D_GeoObjSettingsFrm)
  public
    procedure Initialize; override;
    procedure UpdateDrawable; override;
  end;

implementation

{ TVis3D_ScatterPlotSettingsFrm }

procedure TVis3D_ScatterPlotSettingsFrm.Initialize;
begin
  inherited;
  var Obj := FDrawable as TScatterPlot;
  lblLineWidth.Caption := '&Size:';
  lblLineWidthUnit.Caption := '';
  eLineWidth.PlainText := FormatFloat('0.###', Obj.Size);
end;

procedure TVis3D_ScatterPlotSettingsFrm.UpdateDrawable;
begin
  if not FInitialized then
    Exit;
  var Obj := FDrawable as TScatterPlot;
  Obj.Size := StrToFloat(eLineWidth.PlainText);
  inherited;
end;

end.
